## Daemon Management Functions

Daemon Management Functions — Functions used by session to run the Gnome Keyring Daemon.

## Synopsis

    GnomeKeyringResult  gnome_keyring_daemon_set_display_sync
                                                            (const char *display);
    GnomeKeyringResult  gnome_keyring_daemon_prepare_environment_sync
                                                            (void);

## Description

These functions are not used by most applications using Gnome Keyring.

## Details

### gnome_keyring_daemon_set_display_sync ()

    GnomeKeyringResult  gnome_keyring_daemon_set_display_sync
                                                            (const char *display);

Deprecated. Use `gnome_keyring_daemon_prepare_environment_sync()`

`display` : | Deprecated
Returns : |

### gnome_keyring_daemon_prepare_environment_sync ()

    GnomeKeyringResult  gnome_keyring_daemon_prepare_environment_sync
                                                            (void);

Used by session managers or applications that manage the gnome-keyring-daemon process. Prepares the environment of both the daemon and the application for successful communication.

This includes telling the daemon the DBUS addresses, X display and related information to use for communication and display. This information is only used by the daemon if it does not already have it. For example the X display of the daemon cannot be changed using this call.

Returns : | `GNOME_KEYRING_RESULT_OK` if the operation was succcessful or an error result otherwise.